Subject: Re: bug#1662: 23.0.60; Interactive not using minibuffer prompt face

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Dec 2008 15:45:31 -0500

>> The minibuffer prompt displayed by functions that use (interactive)
>> is usually highlighted with the face `minibuffer-prompt'. However,
>> interactive specs "c", "k" and "K" don't do this.

> Strictly spoken, this is not a bug.  "c" uses `read-char', "k" and "K"
> use `read-key-sequence' and, by specification, neither of these use the
> minibuffer.  So `minibuffer-prompt' doesn't apply here.

Yes, strictly speaking, this is true, but this is taking too literal
a point of view.  I agree with the OP that we should make those
operations try to behave similarly to minibuffer ones, wrt to
prompt faces.

        Stefan